PDNMESH(1)

NAME
pdnmesh - A 2D finite element mesh generator and solver

SYNOPSIS
pdnmesh [options] [-i input file]

DESCRIPTION

pdnmesh is a 2D finite element problem solver. It generates the Delaunay triangulation of an input point set and afterwards, it will solve the problem. Apart from the points, the set of edges and the boundaries should be specified in the input file.

This is a beta release. Most of the options can now be changed using the GUI. So do not expect the command line options to work properly. Please report bugs to pdnmesh-bugs@lists.sourceforge.net.

OUTPUT
The program can generate Encapsulated Postscript files of the mesh, contours of potential and gradient and ASCII files of the mesh.

In text only mode, by default it will generate the mesh and contour files. If a display is available, the program can also display its results on the screen. It can display the equipotential contours as well as the gradient.

OPTIONS
pdnmesh accepts the following options:

-h, -?
    Print help.

-V  Print the currently installed version of pdnmesh on the standard output.

-s  Uses the sparse matrix solver instead of the full matrix solver (for Poisson Equation only).

-a VALUE
    Sets the minimum area of a triangle to be split to VALUE The area is taken with respect to local coordinates, NOT the input coordinates. The local coordinate system is enclosed in a 2 by 2 square centered at origin.

-A VALUE
    Sets the maximum area of a triangle to be split to VALUE The area is taken with respect to local coordinates, NOT the input coordinates. The local coordinate system is enclosed in a 2 by 2 square centered at origin.

-c VALUE
    Sets the number of contour lines drawn to VALUE an integer.

-i FILE
    Reads the input file given by FILE which should be in the correct format given by pdnmesh_input(5).

-d (contour|grad|fill)
    By default displays either the contour plot, gradient plot or colour fill.

-e (poisson|helmholtz|helmin|helmk|helmbeta)
    Selects the solver to use.

poisson : Poisson Equation.

helmholtz : Homogeneous Helmholtz Equation.

helmin : Inhomogeneous Helmholtz Equation (using edge elements).

helmk : Find cutoff frequency given propagation constant.

helmbeta : Find propagation constant given cutoff frequency.

-v  Print verbose output.

-nx Do not open graphical display. This is used when the program is run in text mode.

SEE ALSO
pdnmesh_input(5)

COPYRIGHT
Copyright © 2001-2005 Sarod Yatawatta Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both copyright notice and this permission notice appear in supporting documentation.